using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;

namespace Winson.EntityOP.Base
{
   #region 事件委托
    public delegate void OPEventHandler<T>(T sender, OPEvent arg);

    public class OPEvent : EventArgs
    {
        private string _currbatchid;
        private int _currid;

        public OPEvent()
        { }

        public OPEvent(int currid)
        {
            _currid = currid;
        }

        public OPEvent(string currbatchid)
        {
            _currbatchid = currbatchid;
        }

        //51aspx
        public string CurrBatchId
        {
            get { return _currbatchid; }
        }

        public int CurrId
        {
            get { return _currid; }
        }
    }
    #endregion
}
